#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
	//iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(127,127,255);
    //ofEnableAlphaBlending();
    ofSetRectMode(OF_RECTMODE_CENTER);
    //setup all the flakes
    for(int i=0; i<numFlakes; i++){
        myFlake[i].setup();
    }

}


//--------------------------------------------------------------
void testApp::update(){
    for(int i=0; i<numFlakes; i++){
        checkPos(i);
    }

    //update all the flakes
    /*for(int i=0; i<numFlakes; i++){
        myFlake[i].update();
    }*/
}

//--------------------------------------------------------------
void testApp::checkPos(int id){
    for(int i=id+1; i<numFlakes; i++){
        while(ofDist(myFlake[id].posX,myFlake[id].posY,myFlake[i].posX,myFlake[i].posY)<myFlake[id].size*2){
            ofSeedRandom();
            myFlake[id].setup();
            printf("id %i dist to id %i : %f; \n", id, i, ofDist(myFlake[id].posX,myFlake[id].posY,myFlake[i].posX,myFlake[i].posY));
        }
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    //draw all the flakes
    for(int i=0; i<numFlakes; i++){
        myFlake[i].draw();
    }
}
//--------------------------------------------------------------
void testApp::exit(){
}
//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){

}
//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

